microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Upload a session file
PUT
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content
Uploads binary file content to the specified path in the session sandbox. The service stores the file relative to the session home directory and rejects payloads larger than 50 MB.
路徑參數
agent_name
string
必要
The name of the agent.
agent_session_id
string
必要
The session ID.
查詢參數
path
string
必要
The destination file path within the sandbox, relative to the session home directory.
api-version
string
必要
The API version to use for this operation.
要求本文
Content-Type: application/octet-stream
回覆
The request has succeeded and a new resource has been created as a result.
主體
Content-Type: application/json
path
string
必要
The path where the file was written, relative to the session home directory.
bytes_written
integer
必要
Number of bytes written.
Request
PUT /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content HTTP/1.1
回應
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json